Glib::SignalProxyNormal Class Reference

The SignalProxy provides an API similar to sigc::signal that can be used to connect sigc::slots to glib signals. More...

`#include <glibmm/signalproxy.h>`

Inheritance diagram for Glib::SignalProxyNormal:
[legend]

## Public Member Functions

| ~SignalProxyNormal ()
void | emission_stop ()
| Stops the current signal emission (not in libsigc++) More...
Public Member Functions inherited from Glib::SignalProxyBase
| SignalProxyBase (Glib::ObjectBase* obj)

## Protected Member Functions

| SignalProxyNormal (Glib::ObjectBase* obj, const SignalProxyInfo* info)
| Creates a proxy for a signal that can be emitted by obj. More...
sigc::slot_base& | connect_ (const sigc::slot_base& slot, bool after)
| Connects a generic signal handler to a signal. More...
sigc::slot_base& | connect_notify_ (const sigc::slot_base& slot, bool after)
| Connects a signal handler without a return value to a signal. More...

## Additional Inherited Members

Protected Attributes inherited from Glib::SignalProxyBase
ObjectBase* | obj_

## Detailed Description

The SignalProxy provides an API similar to sigc::signal that can be used to connect sigc::slots to glib signals.

This holds the name of the glib signal and the object which might emit it. Actually, proxies are controlled by the template derivatives, which serve as gatekeepers for the types allowed on a particular signal.

## Constructor & Destructor Documentation

Glib::SignalProxyNormal::~SignalProxyNormal | ( |  | ) |

Glib::SignalProxyNormal::SignalProxyNormal | ( | Glib::ObjectBase* | obj,
|  | const SignalProxyInfo * | info
| ) |  |

protected

Creates a proxy for a signal that can be emitted by obj.

Parameters

  obj | The object that can emit the signal.
  info | Information about the signal, including its name, and the C callbacks that should be called by glib.

## Member Function Documentation

sigc::slot_base& Glib::SignalProxyNormal::connect_ | ( | const sigc::slot_base & | slot,
|  | bool | after
| ) |  |

protected

Connects a generic signal handler to a signal.

This is called by connect() in derived SignalProxy classes.

Parameters

  slot | The signal handler, usually created with sigc::mem_fun() or sigc::ptr_fun().
  after | Whether this signal handler should be called before or after the default signal handler.

sigc::slot_base& Glib::SignalProxyNormal::connect_notify_ | ( | const sigc::slot_base & | slot,
|  | bool | after
| ) |  |

protected

Connects a signal handler without a return value to a signal.

This is called by connect_notify() in derived SignalProxy classes.

Parameters

  slot | The signal handler, which should have a `void` return type, usually created with sigc::mem_fun() or sigc::ptr_fun().
  after | Whether this signal handler should be called before or after the default signal handler.

void Glib::SignalProxyNormal::emission_stop | ( |  | ) |

Stops the current signal emission (not in libsigc++)